#!/bin/bash
#
#SBATCH -J pp_2d
#SBATCH -N 1
#SBATCH --ntasks-per-node=1
#SBATCH --ntasks-per-core=48
#SBATCH --mail-type=BEGIN    # first have to state the type of event to occur 
#SBATCH --mail-user=aiko.voigt@univie.ac.at   # and then your email address
#SBATCH --time=08:00:00 

module load cdo --auto


echo "Working on slabctr:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slabctr
cdo -P 48 mergetime slabctr_atm_2d_ml_????????T000000Z.nc slabctr_atm_2d_ml_197901-202901.nc
cdo -s -P 48 -remapcon,r180x90 -setgrid,icon_grid_G.nc slabctr_atm_2d_ml_197901-202901.nc slabctr_atm_2d_ml_197901-202901.r180x90.nc
cp slabctr_atm_2d_ml_197901-202901.r180x90.nc /gpfs/data/fs72044/avoigt_teach/experiments/s2024/output4students/slabctr
echo "slabctr finished!"

echo "Working on slab4x:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x
cdo -P 48 mergetime slab4x_atm_2d_ml_????????T000000Z.nc slab4x_atm_2d_ml_199002-203901.nc
cdo -s -P 48 -remapcon,r180x90 -setgrid,icon_grid_G.nc slab4x_atm_2d_ml_199002-203901.nc slab4x_atm_2d_ml_199002-203901.r180x90.nc
cp slab4x_atm_2d_ml_199002-203901.r180x90.nc /gpfs/data/fs72044/avoigt_teach/experiments/s2024/output4students/slab4x
echo "slab4x finished!"

echo "Working on slab4x-sun:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x-sun
cdo -P 48 mergetime slab4x-sun_atm_2d_ml_????????T000000Z.nc slab4x-sun_atm_2d_ml_199002-203901.nc
cdo -s -P 48 -remapcon,r180x90 -setgrid,icon_grid_G.nc slab4x-sun_atm_2d_ml_199002-203901.nc slab4x-sun_atm_2d_ml_199002-203901.r180x90.nc
cp slab4x-sun_atm_2d_ml_199002-203901.r180x90.nc /gpfs/data/fs72044/avoigt_teach/experiments/s2024/output4students/slab4x-sun
echo "slab4x-sun finished!"

echo "Working on slab4x-vap:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x-vap
cdo -P 48 mergetime slab4x-vap_atm_2d_ml_????????T000000Z.nc slab4x-vap_atm_2d_ml_199002-203901.nc
cdo -s -P 48 -remapcon,r180x90 -setgrid,icon_grid_G.nc slab4x-vap_atm_2d_ml_199002-203901.nc slab4x-vap_atm_2d_ml_199002-203901.r180x90.nc
cp slab4x-vap_atm_2d_ml_199002-203901.r180x90.nc /gpfs/data/fs72044/avoigt_teach/experiments/s2024/output4students/slab4x-vap
echo "slab4x-vap finished!"

cd /home/fs72044/avoigt_teach/climlab_s2024/msc-climmodlab-s2024/postprocessing
