#!/bin/bash
#
#SBATCH -J pp_2d_daily_precip
#SBATCH -N 1
#SBATCH --ntasks-per-node=1
#SBATCH --ntasks-per-core=48
#SBATCH --mail-type=BEGIN    # first have to state the type of event to occur 
#SBATCH --mail-user=aiko.voigt@univie.ac.at   # and then your email address
#SBATCH --time=08:00:00 

module load cdo --auto

echo "Working on slabctr:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slabctr
for file in slabctr_atm_2d_daily_ml_????????T000000Z.nc; do 
    cdo -s -O -P 48 -remapnn,r360x180 -setgrid,icon_grid_G.nc -selvar,pr $file ${file}.pr.remapnn-r360x180.nc
done
cdo -s -O -P 48 mergetime slabctr_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc ../output4students/slabctr/slabctr_atm_2d_daily_ml_197901-202901.pr.remapnn-r360x180.nc
rm -f slabctr_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc
echo "slabctr finished!"

echo "Working on slab4x:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x
for file in slab4x_atm_2d_daily_ml_????????T000000Z.nc; do 
    cdo -s -O -P 48 -remapnn,r360x180 -setgrid,icon_grid_G.nc -selvar,pr $file ${file}.pr.remapnn-r360x180.nc
done
cdo -s -O -P 48 mergetime slab4x_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc ../output4students/slab4x/slab4x_atm_2d_daily_ml_199001-203901.pr.remapnn-r360x180.nc
rm -f slab4x_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc
echo "slab4x finished!"

echo "Working on slab4x-vap:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x-vap
for file in slab4x-vap_atm_2d_daily_ml_????????T000000Z.nc; do 
    cdo -s -O -P 48 -remapnn,r360x180 -setgrid,icon_grid_G.nc -selvar,pr $file ${file}.pr.remapnn-r360x180.nc
done
cdo -s -O -P 48 mergetime slab4x-vap_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc ../output4students/slab4x-vap/slab4x-vap_atm_2d_daily_ml_199001-203901.pr.remapnn-r360x180.nc
rm -f slab4x-vap_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc
echo "slab4x-vap finished!"

echo "Working on slab4x-sun:"
cd /gpfs/data/fs72044/avoigt_teach/experiments/s2024/slab4x-sun
for file in slab4x-sun_atm_2d_daily_ml_????????T000000Z.nc; do 
    cdo -s -O -P 48 -remapnn,r360x180 -setgrid,icon_grid_G.nc -selvar,pr $file ${file}.pr.remapnn-r360x180.nc
done
cdo -s -O -P 48 mergetime slab4x-sun_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc ../output4students/slab4x-sun/slab4x-sun_atm_2d_daily_ml_199001-203901.pr.remapnn-r360x180.nc
rm -f slab4x-sun_atm_2d_daily_ml_????????T000000Z.nc.pr.remapnn-r360x180.nc
echo "slab4x-sun finished!"

cd /home/fs72044/avoigt_teach/climlab_s2024/msc-climmodlab-s2024/postprocessing
